Searches for links using provided SearchLinksRequest. This call only returns links that the caller has permission to search against.
HTTP request
POST https://contentwarehouse.googleapis.com/v1/{parent}/links:search
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns the links. Format: projects/{projectNumber}/locations/{location}. It takes the form |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"query": {
object ( |
| Fields | |
|---|---|
query |
Query used to search against links. |
pageSize |
A limit on the number of links returned in the search results. Increasing this value above the default value of 10 can increase search response time. The value can be between 1 and 100. |
pageToken |
The token specifying the current offset within search results. See [SearchlinksResponse.next_page_token][] for an explanation of how to obtain the next set of query results. |
Response body
If successful, the response body contains data with the following structure:
Response message for LinkService.SearchLinks.
| JSON representation |
|---|
{
"matchingLinks": [
{
object ( |
| Fields | |
|---|---|
matchingLinks[] |
The link entities that match the specified |
nextPageToken |
The token that specifies the starting position of the next page of results. This field is empty if there are no more results. |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
contentwarehouse.links.get
For more information, see the IAM documentation.
LinkQuery
The query string that matches against the links.
MatchingLink
Link entry with metadata inside SearchLinksResponse
| JSON representation |
|---|
{
"link": {
object ( |
| Fields | |
|---|---|
link |
Link that matches the specified |